Bric::Util::Attribute::Grp(3p)

NAME
Bric::Util::Attribute::Grp - Interface to Attributes of Bric::Util::Grp objects

VERSION
$LastChangedRevision$

DATE
$LastChangedDate: 2006-03-18 01:26:34 +0100 (Sat, 18 Mar 2006) $

SYNOPSIS
See Bric::Util::Attribute

DESCRIPTION
Bric::Util::Attribute::Grp currently inherits all methods from Bric::Util::Attribute. It may be extended later.

INTERFACE

  Constructors
Inherited from Bric::Util::Attribute.

  Destructors

$attr->DESTROY
    Dummy method to prevent wasting time trying to AUTOLOAD DESTROY.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

  Public Class Methods

$type = Bric::Util::Attribute::short_object_type();
    Returns the short object type name used to construct the attribute table name where the attributes for this class type are stored.

    Throws: NONE.

    Side Effects: NONE.

    Notes: Values for this method look like 'grp' given a full object type of 'Bric::Util::Grp'.

$type = Bric::Util::Attribute::instance_class();
    Returns the instance class name which may just be the instance class itself, or a subclass of it. Used to determine what type of attribute instance object should be returned.

    Throws: NONE.

    Side Effects: NONE.

    Notes: Values for this method look like 'grp' given a full object type of 'Bric::Util::Grp'.

$type = Bric::Util::Attribute::full_object_type();
    Returns the full object type to which this attribute object applies. Any object can have attributes.

    Throws: NONE.

    Side Effects: NONE

    Notes: Values for this method look like 'Bric::Util::Grp'.

  Public Instance Methods
Inherited from Bric::Util::Attribute.

PRIVATE

  Private Constructors
NONE.

  Private Class Methods
NONE.

  Private Instance Methods
NONE.

  Private Functions
NONE.

NOTES
This is an early draft of this class, and therefore subject to change.

AUTHOR
David Wheeler <david@justatheory.com>

SEE ALSO
Bric, Bric::Util::Grp, Bric::Util::Attribute